Bug 1651820 - Ship holland-mariabackup in CentOS 6/7
Summary: Ship holland-mariabackup in CentOS 6/7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: holland
Version: el6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: bharper
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-20 23:37 UTC by mike.griffin
Modified: 2019-01-03 17:45 UTC (History)
5 users (show)

Fixed In Version: holland-1.1.9-1.el6 holland-1.1.9-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 01:37:32 UTC


Attachments (Terms of Use)

Description mike.griffin 2018-11-20 23:37:25 UTC
Currently holland-mariabackup has `Requires: /usr/bin/mariabackup` due to MariaDB-backup package not being in the default repository.

This backup plugin is required for users with MariaDB 10.2+ that were previously using holland-xtrabackup.

I propose that we change this to a `Suggests:` and ship packages for CentOS 6/7

Comment 1 mike.griffin 2018-12-07 00:27:09 UTC
In absence of `Suggests:` I would propose that we simply do not `Requires: /usr/bin/mariabackup`

Comment 2 Carl George 2018-12-07 02:28:09 UTC
I agree.  We'll be able to use `Suggests` on the recently released RHEL and CentOS 7.6.  I'll add the subpackage in EPEL6 as well, and just not have a requirement.

Comment 3 Carl George 2018-12-11 22:05:22 UTC
Looks like the weak dependency support isn't working in el7, see bug 1658333.  I'll have to just add the subpackage with no requirement.

Comment 4 Fedora Update System 2018-12-18 17:12:14 UTC
holland-1.1.9-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f58f21f044

Comment 5 Fedora Update System 2018-12-18 17:12:17 UTC
holland-1.1.9-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9e8620753c

Comment 6 Fedora Update System 2018-12-19 00:47:40 UTC
holland-1.1.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9e8620753c

Comment 7 Fedora Update System 2018-12-19 02:02:19 UTC
holland-1.1.9-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f58f21f044

Comment 8 Fedora Update System 2019-01-03 01:37:32 UTC
holland-1.1.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-01-03 17:45:05 UTC
holland-1.1.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.